> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/invoice/get-options.md).

# Get Options

## Get Options

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/invoice?action=getOptions`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

No Parameters Required

The invoice and item response contains a field called "refType". These are constants in the iVvy system to match the invoice or item to a specific entity. To find out a description of what these constants refer to, you can make a call to the api to get the complete list

## Returns

| Property             | Description                                                                                        |
| -------------------- | -------------------------------------------------------------------------------------------------- |
| invoiceRefTypes      | The refType identifier and description of refTypes found in the invoice response.                  |
| invoiceLineRefTypes  | The refType identifier and description of refTypes found in the items of the invoice response.     |
| paymentMethods       | The complete list of payment methods that might appear against a payment made on an invoice        |
| customPaymentMethods | The complete list of custom payment methods that might appear against a payment made on an invoice |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/invoice/get-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
